/**
 * @(#)pms4_89.h 2002/05/05
 *
 * @author Tognon Stefano
 * @version 1.00
 *
 * This program automatically search all combination for prime magic square
 * of order 3 from prime 89.
 * The square is printed in standard output, while the other information are
 * printed in standard error.
 *
 * note: some comments are in the style of Javadoc of Java language!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 */

typedef unsigned int word;
#define DORDER 4
const int ORDER=DORDER; // square order
const int COMB=16;      // 2 at pow of order
const word MAGIC=510;   // magic constant

// number of max spaces between output values
const int MAX_BLANK=4;

// list of sequential primes numbers
const word PRIME[ORDER*ORDER]={
         89,   97,  101, 103,  107,  109,  113,  127,  131,  137,
        139,  149,  151,  157,  163,  167};


#define UP_SEQ {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15}

